openapi: 3.0.0
info:
  title: APIs Open Data do Open Insurance Brasil
  description: As APIs descritas neste documento são referentes as APIs da fase Open Data do Open Insurance Brasil.
  version: 1.3.0
  contact:
    url: 'https://www.gov.br/susep/'
tags:
  - name: "Channels"
    description: "Operações para listagem de canais de atendimentos"
servers:
  - url: http://api.organizacao.com.br/open-insurance/channels/v1
paths:
  /branches:
    get:
      tags:
        - "Channels"
      summary: Obtém a listagem de dependências próprias da instituição.
      description: "Método para obter a listagem de dependências próprias da instituição."
      operationId: "getBranches"
      parameters:
        - $ref: "#/components/parameters/page"
        - $ref: "#/components/parameters/pageSize"
      responses:
        '200':
          description: Lista de dependências próprias obtida com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBranchesList'
        '204':
          $ref: '#/components/responses/NoContent'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '405':
          $ref: '#/components/responses/MethodNotAllowed'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        default:
          description: Lista de dependências próprias obtida com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBranchesList'
  /electronic-channels:
    get:
      tags:
        - "Channels"
      summary: Obtém a listagem de canais eletrônicos de atendimento da instituição.
      description: "Método para obter a listagem de canais eletrônicos de atendimento da instituição."
      operationId: "getElectronicChannels"
      parameters:
        - $ref: "#/components/parameters/page"
        - $ref: "#/components/parameters/pageSize"
      responses:
        '200':
          description: Listagem de canais eletrônicos de atendimento obtida com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseElectronicChannelsList'
        '204':
          $ref: '#/components/responses/NoContent'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '405':
          $ref: '#/components/responses/MethodNotAllowed'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        default:
          description: Listagem de canais eletrônicos de atendimento obtida com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseElectronicChannelsList'
  /phone-channels:
    get:
      tags:
        - "Channels"
      summary: "Obtém a listagem de canais telefônicos de atendimento da instituição."
      description: "Método para obter a listagem de canais telefônicos de atendimento da instituição."
      operationId: "getPhoneChannels"
      parameters:
        - $ref: "#/components/parameters/page"
        - $ref: "#/components/parameters/pageSize"
      responses:
        '200':
          description: Listagem de canais telefônicos de atendimento obtida com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponsePhoneChannelsList'
        '204':
          $ref: '#/components/responses/NoContent'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '405':
          $ref: '#/components/responses/MethodNotAllowed'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        default:
          description: Listagem de canais telefônicos de atendimento obtida com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponsePhoneChannelsList'
components:
  schemas:
    ResponseBranchesList:
      type: object
      required:
        - data
        - links
        - meta
      properties:
        data:
          type: object
          required:
            - brand
          properties:
            brand:
              $ref: '#/components/schemas/BranchesBrand'
        links:
          $ref: '#/components/schemas/Links'
        meta:
          $ref: '#/components/schemas/Meta'
    BranchesBrand:
      type: object
      required:
        - name
        - companies
      properties:
        name:
          type: string
          description: Nome da Marca reportada pelo participante do Open Insurance. O conceito a que se refere a 'marca' é em essência uma promessa da empresa em fornecer uma série específica de atributos, benefícios e serviços uniformes aos clientes.
          maxLength: 80
          pattern: \w*\W*
          example: Organização AZ
        companies:
          type: array
          items:
            $ref: '#/components/schemas/BranchesCompany'
          minItems: 1
          description: Companies traz uma lista de todas as instuituições da Marca.
    BranchesCompany:
      type: object
      required:
        - name
        - cnpjNumber
      properties:
        name:
          type: string
          maxLength: 80
          pattern: \w*\W*
          example: Empresa A1
        cnpjNumber:
          type: string
          minLength: 14
          maxLength: 14
          pattern: '^(\d{14})$|^NA$'
          description: |
            Número completo do CNPJ da instituição responsável pela dependência - o CNPJ corresponde ao número de inscrição no Cadastro de Pessoa Jurídica.
            Deve-se ter apenas os números do CNPJ, sem máscara
          example: '45086338000178'
        branches:
          type: array
          items:
            $ref: '#/components/schemas/Branch'
          minItems: 1
          description: Lista de Dependências de uma Instituição

    ResponseElectronicChannelsList:
      description: Listagem de canais telefônicos de atendimento obtida com sucesso.
      type: object
      required:
        - data
        - links
        - meta
      properties:
        data:
          type: object
          required:
            - brand
          properties:
            brand:
              $ref: '#/components/schemas/ElectronicChannelsBrand'
        links:
          $ref: '#/components/schemas/Links'
        meta:
          $ref: '#/components/schemas/Meta'
      example:
        data:
          brand:
            name: 'Organização A'
            companies:
              - name: 'Empresa A1'
                cnpjNumber: '45086338000178'
                urlComplementaryList: 'https://empresaa1.com/branches-insurance'
                electronicChannels:
                  - identification:
                      type: 'INTERNET'
                      urls:
                        - 'https://empresa1.com/insurance'
                    services:
                      - name: 'ALTERACOES_FORMA_PAGAMENTO'
                        code: '01'
        links:
          self: 'https://api.organizacao.com.br/open-insurance/channels/v1/electronic-channels'
          first: 'https://api.organizacao.com.br/open-insurance/channels/v1/electronic-channels'
          prev: "https://api.organizacao.com.br/open-insurance/channels/v1/electronic-channels"
          next: "https://api.organizacao.com.br/open-insurance/channels/v1/electronic-channels"
          last: 'https://api.organizacao.com.br/open-insurance/channels/v1/electronic-channels'
        meta:
          totalRecords: 1
          totalPages: 1
    ElectronicChannelsBrand:
      type: object
      required:
        - name
        - companies
      properties:
        name:
          type: string
          description: Nome da marca selecionada pela Organização proprietária da dependência (titular).
          example: "Marca A"
          maxLength: 80
          pattern: \w*\W*
        companies:
          type: array
          items:
            $ref: '#/components/schemas/ElectronicChannelsCompanies'
          minItems: 1
          description: Lista de instituições pertencentes à marca
    ElectronicChannelsCompanies:
      type: object
      required:
        - name
        - electronicChannels
        - cnpjNumber
      properties:
        name:
          type: string
          description: Nome da marca selecionada pela Organização proprietária da dependência (titular).
          example: "Empresa da Marca A"
          maxLength: 80
          pattern: \w*\W*
        cnpjNumber:
          type: string
          maxLength: 14
          description: CNPJ da sociedade responsável pelo canal de atendimento - o CNPJ corresponde ao número de inscrição no Cadastro de Pessoa Jurídica.
        electronicChannels:
          type: array
          items:
            $ref: '#/components/schemas/ElectronicChannels'
          minItems: 1
          maxItems: 99
          description: Lista  de canais de atendimento eltrônico
    Branch:
      type: object
      description: Dependência destinada à prática das atividades para as quais a instituição esteja regularmente habilitada.
      required:
        - postalAddress
        - availability
        - services
      properties:
        identification:
          $ref: '#/components/schemas/BranchIdentification'
        postalAddress:
          $ref: '#/components/schemas/BranchPostalAddress'
        availability:
          $ref: '#/components/schemas/BranchAvailability'
        phones:
          type: array
          items:
            $ref: '#/components/schemas/BranchPhone'
          minItems: 1
          description: Listagem de telefones da Dependência própria
        services:
          type: array
          description: Traz a relação de serviços disponbilizados pelo Canal de Atendimento
          items:
            $ref: '#/components/schemas/BranchService'
          minItems: 1
          maxItems: 20
    BranchPostalAddress:
      type: object
      required:
        - address
        - districtName
        - townName
        - countrySubDivision
        - postCode
        - ibgeCode
      properties:
        address:
          type: string
          description: Deverá trazer toda a informação referente ao endereço da dependência informada. Tipo de logradouro + Nome do logradouro + Número do Logradouro (se não existir usar ' s/n') + complemento (se houver).
          maxLength: 200
          example: Av Naburo Ykesaki 1270, bloco 35, fundos
        additionalInfo:
          type: string
          description: Alguns logradouros ainda necessitam ser especificados por meio de complemento, conforme o exemplo a seguir.
          maxLength: 30
          example: Loja B
        districtName:
          type: string
          description: Bairro é uma comunidade ou região localizada em uma cidade ou município de acordo com as suas subdivisões geográficas.
          maxLength: 50
          example: Centro
        townName:
          type: string
          description: O nome da localidade corresponde à designação da cidade ou município no qual o endereço está localizado.
          maxLength: 50
          example: São Paulo
        ibgeCode:
          type: string
          description: Código IBGE de Município. A Tabela de Códigos de Municípios do IBGE apresenta a lista dos municípios brasileiros associados a um código composto de 7 dígitos, sendo os dois primeiros referentes ao código da Unidade da Federação.
          maxLength: 7
          example: '3550308'
        countrySubDivision:
          type: string
          description: Enumeração referente a cada sigla da unidade da federação que identifica o estado ou o distrito federal, no qual o endereço está localizado. São consideradas apenas as siglas para os estados brasileiros.
          maxLength: 2
          example: SP
        postCode:
          type: string
          description: Código de Endereçamento Postal. Composto por um conjunto numérico de oito dígitos, o objetivo principal do CEP é orientar e acelerar o encaminhamento, o tratamento e a entrega de objetos postados nos Correios, por meio da sua atribuição a localidades, logradouros, unidades dos Correios, serviços, órgãos públicos, empresas e edifícios.
          maxLength: 9
          example: '17500-001'
        country:
          type: string
          description: Nome do país.
          maxLength: 80
          example: Brasil
        countryCode:
          type: string
          description: Código do país de acordo com o código “alpha3” do ISO-3166.
          maxLength: 3
          example: BRA
        geographicCoordinates:
          $ref: '#/components/schemas/BranchesGeographicCoordinates'
    BranchIdentification:
      type: object
      properties:
        type:
          type: string
          description: Tipo de dependência.
          enum: [POSTO_ATENDIMENTO, UNIDADE_ADMINISTRATIVA_DESMEMBRADA]
          example: POSTO_ATENDIMENTO
        code:
          type: string
          maxLength: 4
          pattern: ^\d{4}$|^NA$
          description: Código identificador da dependência
          example: '0001'
        checkDigit:
          type: string
          maxLength: 1
          pattern: \w*\W*
          description: Dígito verificador do código da dependência
          example: '9'
        name:
          type: string
          maxLength: 100
          pattern: \w*\W*
          description: Nome da dependência
          example: Marília
    BranchAvailability:
      type: object
      properties:
        standards:
          type: array
          description: Lista disponibilidade padrão da depêndencia próprias por dias da semana
          items:
            properties:
              weekday:
                type: string
                enum:
                  - DOMINGO
                  - SEGUNDA_FEIRA
                  - TERCA_FEIRA
                  - QUARTA_FEIRA
                  - QUINTA_FEIRA
                  - SEXTA_FEIRA
                  - SABADO
                description: Dia da semana de abertura da dependência
                example: SEGUNDA_FEIRA
              openingTime:
                type: string
                description: Horário de abertura da dependência (UTC)
                maxLength: 13
                pattern: ^(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)Z$|^NA$
                example: 10:00:57Z
              closingTime:
                type: string
                description: Horário de fechamento da dependência (UTC)
                maxLength: 13
                pattern: ^(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)Z$|^NA$
                example: 16:00:57Z
            required:
              - weekday
              - openingTime
              - closingTime
          minItems: 1
          maxItems: 7
        isPublicAccessAllowed:
          type: boolean
          description: Indica se a instalação da Dependência tem acesso restrito a clientes.
          example: true
      required:
        - standards
    EletronicChannelsAvailability:
      type: object
      properties:
        standards:
          type: array
          description: Lista disponibilidade padrão da depêndencia próprias por dias da semana
          items:
            properties:
              weekday:
                type: string
                enum:
                  - DOMINGO
                  - SEGUNDA_FEIRA
                  - TERCA_FEIRA
                  - QUARTA_FEIRA
                  - QUINTA_FEIRA
                  - SEXTA_FEIRA
                  - SABADO
                description: Dias de funcionamento em formato texto
                example: SEGUNDA_FEIRA
              openingTime:
                type: string
                description: Horário padrão de início de atendimento do canal eletrônico. (UTC)
                maxLength: 13
                pattern: ^(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)Z$|^NA$
                example: 10:00:57Z
              closingTime:
                type: string
                description: Horário padrão de encerramento de atendimento do canal eletrônico (UTC)
                maxLength: 13
                pattern: ^(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)Z$|^NA$
                example: 16:00:57Z
            required:
              - weekday
              - openingTime
              - closingTime
          minItems: 1
          maxItems: 7
      required:
        - standards
    PhoneChannelsAvailability:
      type: object
      properties:
        standards:
          type: array
          description: Lista disponibilidade padrão da depêndencia próprias por dias da semana
          items:
            properties:
              weekday:
                type: string
                enum:
                  - DOMINGO
                  - SEGUNDA_FEIRA
                  - TERCA_FEIRA
                  - QUARTA_FEIRA
                  - QUINTA_FEIRA
                  - SEXTA_FEIRA
                  - SABADO
                description: Dia da semana de abertura da dependência
                example: SEGUNDA_FEIRA
              openingTime:
                type: string
                description: Horário de abertura da dependência (UTC)
                maxLength: 13
                pattern: ^(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)Z$|^NA$
                example: 10:00:57Z
              closingTime:
                type: string
                description: Horário de fechamento da dependência (UTC)
                maxLength: 13
                pattern: ^(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)Z$|^NA$
                example: 16:00:57Z
            required:
              - weekday
              - openingTime
              - closingTime
          minItems: 1
          maxItems: 7
      required:
        - standards
    BranchService:
      type: object
      properties:
        name:
          type: string
          enum:
            - ALTERACOES_FORMA_PAGAMENTO
            - AVISO_SINISTRO
            - CANCELAMENTO_SUSPENSAO_PAGAMENTO_PREMIOS_CONTRIBUICAO
            - EFETIVACAO_APORTE
            - ENDOSSO
            - ENVIO_DOCUMENTOS
            - INFORMACOES_GERAIS_DUVIDAS
            - INFORMACOES_INTERMEDIARIOS
            - INFORMACOES_SOBRE_SERVICOS_ASSISTENCIAS
            - INFORMACOES_SOBRE_SORTEIOS
            - OUVIDORIA_RECEPCAO_SUGESTOES_ELOGIOS
            - OUVIDORIA_SOLUCAO_EVENTUAIS_DIVERGENCIAS_SOBRE_CONTRATO_SEGURO_CAPITALIZAÇÃO_PREVIDÊNCIA_APOS_ESGOTADOS_CANAIS_REGULARES_ATENDIMENTO_AQUELAS_ORIUNDAS_ORGAOS_REGULADORES_OU_INTEGRANTES_SISTEMA_NACIONAL_DEFESA_CONSUMIDOR
            - OUVIDORIA_TRATAMENTO_INSATISFACAO_CONSUMIDOR_RELACAO_ATENDIMENTO_RECEBIDO_CANAIS_REGULARES_ATENDIMENTO
            - OUVIDORIA_TRATAMENTO_RECLAMACOES_SOBRE_IRREGULARDADES_CONDUTA_COMPANHIA
            - PORTABILIDADE
            - RECLAMACAO
            - RESGATE
            - SEGUNDA_VIA_DOCUMENTOS_CONTRATUAIS
            - SUGESTOES_ELOGIOS
          description: Nome dos Serviços efetivamente prestados pelo Canal de Atendimento
          example: "ENDOSSO"
        code:
          type: string
          enum:
            - "01"
            - "02"
            - "03"
            - "04"
            - "05"
            - "06"
            - "07"
            - "08"
            - "09"
            - "10"
            - "11"
            - "12"
            - "13"
            - "14"
            - "15"
            - "16"
            - "17"
            - "18"
            - "19"
          description: Código dos Serviços efetivamente prestados pelo Canal de Atendimento
          example: "05"
      required:
        - code
        - name
    ElectronicChannels:
      type: object
      required:
        - identification
        - services
      properties:
        identification:
          $ref: '#/components/schemas/ElectronicChannelsIdentification'
        services:
          type: array
          items:
            $ref: '#/components/schemas/ElectronicChannelsServices'
          minItems: 1
          maxItems: 20
          description: "Traz a relação de serviços disponbilizados pelo Canal de Atendimento"
        availability:
          $ref: '#/components/schemas/EletronicChannelsAvailability'
    ElectronicChannelsIdentification:
      type: object
      required:
        - type
        - urls
      properties:
        type:
          type: string
          enum:
            - INTERNET
            - MOBILE
            - CHAT
            - WHATSAPP
            - CONSUMIDOR
            - OUTROS
          description: "Tipo de canal de atendimento eletrônico"
          example: "CHAT"
        accessType:
          type: string
          description: Tipo de acesso
          enum: [EMAIL, INTERNET, APP, CHAT, WHATSAPP, CONSUMIDOR, OUTROS]
        urls:
          type: array
          items:
            $ref: '#/components/schemas/ElectronicChannelsUrl'
          minItems: 1
          description: Lista das URLs que atendem um tipo de canal eletrônico selecionado
    ElectronicChannelsUrl:
      type: string
      pattern: \w*\W*
      maxLength: 1024
    ElectronicChannelsServices:
      type: object
      required:
        - name
        - code
      properties:
        name:
          type: string
          enum:
            - ALTERACOES_FORMA_PAGAMENTO
            - AVISO_SINISTRO
            - CANCELAMENTO_SUSPENSAO_PAGAMENTO_PREMIOS_CONTRIBUICAO
            - EFETIVACAO_APORTE
            - ENDOSSO
            - ENVIO_DOCUMENTOS
            - INFORMACOES_GERAIS_DUVIDAS
            - INFORMACOES_INTERMEDIARIOS
            - INFORMACOES_SOBRE_SERVICOS_ASSISTENCIAS
            - INFORMACOES_SOBRE_SORTEIOS
            - OUVIDORIA_RECEPCAO_SUGESTOES_ELOGIOS
            - OUVIDORIA_SOLUCAO_EVENTUAIS_DIVERGENCIAS_SOBRE_CONTRATO_SEGURO_CAPITALIZAÇÃO_PREVIDÊNCIA_APOS_ESGOTADOS_CANAIS_REGULARES_ATENDIMENTO_AQUELAS_ORIUNDAS_ORGAOS_REGULADORES_OU_INTEGRANTES_SISTEMA_NACIONAL_DEFESA_CONSUMIDOR
            - OUVIDORIA_TRATAMENTO_INSATISFACAO_CONSUMIDOR_RELACAO_ATENDIMENTO_RECEBIDO_CANAIS_REGULARES_ATENDIMENTO
            - OUVIDORIA_TRATAMENTO_RECLAMACOES_SOBRE_IRREGULARDADES_CONDUTA_COMPANHIA
            - PORTABILIDADE
            - RECLAMACAO
            - RESGATE
            - SEGUNDA_VIA_DOCUMENTOS_CONTRATUAIS
            - SUGESTOES_ELOGIOS
          description: "Nome dos Serviços efetivamente prestados pelo Canal de Atendimento"
          example: "ALTERACOES_FORMA_PAGAMENTO"
        code:
          type: string
          enum:
            - "01"
            - "02"
            - "03"
            - "04"
            - "05"
            - "06"
            - "07"
            - "08"
            - "09"
            - "10"
            - "11"
            - "12"
            - "13"
            - "14"
            - "15"
            - "16"
            - "17"
            - "18"
            - "19"
          description: "Código dos Serviços efetivamente prestados pelo Canal de Atendimento"
          example: "01"

    BranchPhone:
      type: object
      properties:
        type:
          type: string
          enum:
            - FIXO
            - MOVEL
          example: "FIXO"
          description: "Identificação do Tipo de telefone da dependência. p.ex.FIXO, MOVEL."
        countryCallingCode:
          type: string
          maxLength: 4
          pattern: ^\d{1,4}$
          example: "55"
          description: "Número de DDI (Discagem Direta Internacional) para  telefone de acesso ao Canal - se houver. p.ex. '55'"
        areaCode:
          type: string
          maxLength: 2
          pattern: ^\d{2}$
          example: "19"
          description: "Número de DDD (Discagem Direta à Distância) do telefone da dependência - se houver. p.ex. '19'"
        number:
          type: string
          maxLength: 11
          pattern: '^([0-9]{8,11})$'
          example: "35721199"
          description: "Número de telefone da dependência - se houver"
    ####################
    ## Phone ElectronicChannels ##
    ####################
    #### ResponsePhoneChannelsList ####
    ResponsePhoneChannelsList:
      description: Listagem de canais telefônicos de atendimento obtida com sucesso.
      type: object
      required:
        - data
        - links
        - meta
      properties:
        data:
          type: object
          required:
            - brand
          properties:
            brand:
              $ref: '#/components/schemas/PhoneChannelsBrand'
        links:
          $ref: '#/components/schemas/Links'
        meta:
          $ref: '#/components/schemas/Meta'
      example:
        data:
          brand:
            name: 'Organização A'
            companies:
              - name: 'Empresa A1'
                cnpjNumber: '45086338000178'
                urlComplementaryList: 'https://empresaa1.com/branches-insurance'
                phoneChannels:
                  - identification:
                      type: 'CENTRAL_TELEFONICA'
                      phones:
                        - countryCallingCode: '55'
                          areaCode: '14'
                          number: '35721199'
                        - countryCallingCode: '55'
                          areaCode: '14'
                          number: '997865532'
                    services:
                      - name: 'ALTERACOES_FORMA_PAGAMENTO'
                        code: '01'
                      - name: 'AVISO_SINISTRO'
                        code: '02'
                      - name: 'ENDOSSO'
                        code: '05'
                  - identification:
                      type: 'SAC'
                      phones:
                        - countryCallingCode: '55'
                          areaCode: '14'
                          number: '40044828'
                        - countryCallingCode: '55'
                          areaCode: '14'
                          number: '40044828'
                        - countryCallingCode: '55'
                          areaCode: '14'
                          number: '40044828'
                    services:
                      - name: 'RECLAMACAO'
                        code: '16'
                      - name: 'PORTABILIDADE'
                        code: '15'
                      - name: 'ENDOSSO'
                        code: '05'
                  - identification:
                      type: 'OUVIDORIA'
                      phones:
                        - countryCallingCode: '55'
                          areaCode: '14'
                          number: '40045555'
                        - countryCallingCode: '55'
                          areaCode: '14'
                          number: '40045555'
                        - countryCallingCode: '55'
                          areaCode: '14'
                          number: '40045555'
                    services:
                      - name: 'RECLAMACAO'
                        code: '16'
                      - name: 'PORTABILIDADE'
                        code: '15'
        links:
          self: "https://api.organizacao.com.br/open-insurance/channels/v1/phone-channels"
          first: 'https://api.organizacao.com.br/open-insurance/channels/v1/phone-channels'
          prev: "https://api.organizacao.com.br/open-insurance/channels/v1/phone-channels"
          next: "https://api.organizacao.com.br/open-insurance/channels/v1/phone-channels"
          last: 'https://api.organizacao.com.br/open-insurance/channels/v1/phone-channels'
        meta:
          totalRecords: 1
          totalPages: 1
    #### PhoneChannelsBrand ####
    PhoneChannelsBrand:
      type: object
      required:
        - name
        - companies
      properties:
        name:
          type: string
          pattern: '\w*\W*'
          maxLength: 80
          description: "Nome da Marca reportada pelo participante do Open Insurance. O conceito a que se refere a 'marca' utilizada está em definição pelos participantes."
          example: "Marca A"
        companies:
          type: array
          items:
            $ref: '#/components/schemas/PhoneChannelsCompanies'
          minItems: 1
          description: Lista de instituições pertencentes à marca
    #### PhoneChannelsCompanies ####
    PhoneChannelsCompanies:
      type: object
      required:
        - name
        - phoneChannels
        - cnpjNumber
      properties:
        name:
          type: string
          pattern: \w*\W*
          maxLength: 80
          description: "Nome da Instituição, pertencente à organização, responsável pelo Canal Telefônico."
          example: "Empresa da Marca A"
        cnpjNumber:
          type: string
          minLength: 14
          maxLength: 14
          pattern: '^(\d{14})$|^NA$'
          description: |
            Número completo do CNPJ da instituição responsável pela dependência - o CNPJ corresponde ao número de inscrição no Cadastro de Pessoa Jurídica.
            Deve-se ter apenas os números do CNPJ, sem máscara
          example: '45086338000178'
        phoneChannels:
          type: array
          items:
            $ref: '#/components/schemas/PhoneChannels'
          minItems: 1
          description: Lista  de canais de atendimento telefônico
    #### PhoneChannels ####
    PhoneChannels:
      type: object
      properties:
        identification:
          $ref: '#/components/schemas/PhoneChannelsIdentification'
        services:
          type: array
          items:
            $ref: '#/components/schemas/PhoneChannelsServices'
          minItems: 1
          maxItems: 20
          description: Traz a relação de serviços disponbilizados pelo Canal de Atendimento
        availability:
          $ref: '#/components/schemas/PhoneChannelsAvailability'
      required:
        - identification
        - services
    #### PhoneChannelsIdentification ####
    PhoneChannelsIdentification:
      type: object
      required:
        - type
      properties:
        type:
          type: string
          enum:
            - CENTRAL_TELEFONICA
            - SAC
            - OUVIDORIA
          description: "
            Tipo de canal telefônico de atendimento:
              \n* `CENTRAL_TELEFONICA`
              \n* `SAC`
              \n* `OUVIDORIA`"
          example: "OUVIDORIA"
        phones:
          type: array
          items:
            $ref: '#/components/schemas/PhoneChannelsPhones'
          minItems: 1
          description: "Lista de telefones do Canal de Atendimento"
    #### PhoneChannelPhones ####
    PhoneChannelsPhones:
      type: object
      required:
        - countryCallingCode
        - areaCode
        - number
      properties:
        countryCallingCode:
          type: string
          maxLength: 4
          pattern: ^\d{1,4}$|^NA$
          example: "55"
          description: "Número de DDI (Discagem Direta Internacional) para telefone de acesso ao Canal - se houver."
        areaCode:
          type: string
          maxLength: 2
          pattern: ^\d{2}$|^NA$
          example: "19"
          description: "Número de DDD (Discagem Direta à Distância) para telefone de acesso ao Canal - se houver."
        number:
          type: string
          maxLength: 13
          pattern: ^([0-9]{8,11})$|^NA$
          example: "08007787788"
          description: "Número de telefone de acesso ao canal."
    #### PhoneChannelsServices ####
    PhoneChannelsServices:
      type: object
      required:
        - name
        - code
      properties:
        name:
          type: string
          enum:
            - ALTERACOES_FORMA_PAGAMENTO
            - AVISO_SINISTRO
            - CANCELAMENTO_SUSPENSAO_PAGAMENTO_PREMIOS_CONTRIBUICAO
            - EFETIVACAO_APORTE
            - ENDOSSO
            - ENVIO_DOCUMENTOS
            - INFORMACOES_GERAIS_DUVIDAS
            - INFORMACOES_INTERMEDIARIOS
            - INFORMACOES_SOBRE_SERVICOS_ASSISTENCIAS
            - INFORMACOES_SOBRE_SORTEIOS
            - OUVIDORIA_RECEPCAO_SUGESTOES_ELOGIOS
            - OUVIDORIA_SOLUCAO_EVENTUAIS_DIVERGENCIAS_SOBRE_CONTRATO_SEGURO_CAPITALIZAÇÃO_PREVIDÊNCIA_APOS_ESGOTADOS_CANAIS_REGULARES_ATENDIMENTO_AQUELAS_ORIUNDAS_ORGAOS_REGULADORES_OU_INTEGRANTES_SISTEMA_NACIONAL_DEFESA_CONSUMIDOR
            - OUVIDORIA_TRATAMENTO_INSATISFACAO_CONSUMIDOR_RELACAO_ATENDIMENTO_RECEBIDO_CANAIS_REGULARES_ATENDIMENTO
            - OUVIDORIA_TRATAMENTO_RECLAMACOES_SOBRE_IRREGULARDADES_CONDUTA_COMPANHIA
            - PORTABILIDADE
            - RECLAMACAO
            - RESGATE
            - SEGUNDA_VIA_DOCUMENTOS_CONTRATUAIS
            - SUGESTOES_ELOGIOS
          description: Nome dos Serviços efetivamente prestados pelo Canal de Atendimento
          example: "AVISO_SINISTRO"
        code:
          type: string
          enum:
            - "01"
            - "02"
            - "03"
            - "04"
            - "05"
            - "06"
            - "07"
            - "08"
            - "09"
            - "10"
            - "11"
            - "12"
            - "13"
            - "14"
            - "15"
            - "16"
            - "17"
            - "18"
            - "19"
          description: "Código dos Serviços efetivamente prestados pelo Canal de Atendimento"
    BranchesGeographicCoordinates:
      type: object
      description: Informação referente a geolocalização informada.
      properties:
        latitude:
          description: Informação da latitude referente a geolocalização informada. Entre -90 e 90. Formato númerico 2 casas antes da vírgula, 11 posições.
          type: string
          pattern: ^-?\d{1,3}\.\d{1,10}$
          example: '-89.8365180'
        longitude:
          description: Informação da longitude referente a geolocalização informada. Formato númerico 3 casas antes da vírgula, 11 posições.
          type: string
          pattern: ^-?\d{1,3}\.\d{1,10}$
          example: '-175.836519'
    Links:
      type: object
      properties:
        self:
          type: string
          description: URL da página atualmente requisitada
          pattern: ^(https:\/\/)(.*?)(\/open-insurance\/channels\/v\d+)(\/(branches|electronic-channels|phone-channels).*)?$
          example: 'https://api.organizacao.com.br/open-insurance/channels/v1/branches'
        first:
          type: string
          description: URL da primeira página de registros
          pattern: ^(https:\/\/)(.*?)(\/open-insurance\/channels\/v\d+)(\/(branches|electronic-channels|phone-channels).*)?$
          example: 'https://api.organizacao.com.br/open-insurance/channels/v1/branches'
        prev:
          type: string
          description: URL da página anterior de registros
          pattern: ^(https:\/\/)(.*?)(\/open-insurance\/channels\/v\d+)(\/(branches|electronic-channels|phone-channels).*)?$
          example: 'https://api.organizacao.com.br/open-insurance/channels/v1/branches'
        next:
          type: string
          description: URL da próxima página de registros
          pattern: ^(https:\/\/)(.*?)(\/open-insurance\/channels\/v\d+)(\/(branches|electronic-channels|phone-channels).*)?$
          example: 'https://api.organizacao.com.br/open-insurance/channels/v1/branches'
        last:
          type: string
          description: URL da última página de registros
          pattern: ^(https:\/\/)(.*?)(\/open-insurance\/channels\/v\d+)(\/(branches|electronic-channels|phone-channels).*)?$
          example: 'https://api.organizacao.com.br/open-insurance/channels/v1/branches'
    Meta:
      type: object
      properties:
        totalRecords:
          type: integer
          description: Total de registros encontrados
          example: 1
        totalPages:
          type: integer
          description: Total de páginas para os registros encontrados
          example: 1
      required:
        - totalRecords
        - totalPages
    ResponseError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          minItems: 1
          maxItems: 13
          items:
            type: object
            required:
              - code
              - title
              - detail
              - requestDateTime
            properties:
              code:
                description: Código de erro específico do endpoint
                type: string
                pattern: '[\w\W\s]*'
                maxLength: 255
              title:
                description: Título legível por humanos deste erro específico
                type: string
                pattern: '[\w\W\s]*'
                maxLength: 255
              detail:
                description: Descrição legível por humanos deste erro específico
                type: string
                pattern: '[\w\W\s]*'
                maxLength: 2048
              requestDateTime:
                description: 'Data e hora da consulta, conforme especificação RFC-3339, formato UTC.'
                type: string
                pattern: '[\w\W\s]*'
                maxLength: 2048
                format: date-time
                example: '2021-08-20T08:30:00Z'
            additionalProperties: false
        meta:
          $ref: '#/components/schemas/Meta'
      additionalProperties: false
  parameters:
    page:
      name: page
      in: query
      description: Número da página que está sendo requisitada (o valor da primeira página é 1).
      schema:
        type: integer
        default: 1
        minimum: 1
    pageSize:
      name: page-size
      in: query
      description: Quantidade total de registros por páginas.
      schema:
        type: integer
        default: 25
        minimum: 1
  responses:
    UnprocessableEntity:
      description: 'O servidor entende o tipo de conteúdo da entidade da requisição, e a sintaxe da requisição esta correta, mas não foi possível processar as instruções presente.'
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    NoContent:
      description: 'O recurso solicitado não existe ou não foi localizado.'
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    BadRequest:
      description: 'A requisição foi malformada, omitindo atributos obrigatórios, seja no payload ou através de atributos na URL.'
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    Forbidden:
      description: O token tem escopo incorreto ou uma política de segurança foi violada
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    InternalServerError:
      description: Ocorreu um erro no gateway da API ou no microsserviço
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    MethodNotAllowed:
      description: O consumidor tentou acessar o recurso com um método não suportado
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    NotAcceptable:
      description: A solicitação continha um cabeçalho Accept diferente dos tipos de mídia permitidos ou um conjunto de caracteres diferente de UTF-8
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    NotFound:
      description: O recurso solicitado não existe ou não foi implementado
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    TooManyRequests:
      description: 'A operação foi recusada, pois muitas solicitações foram feitas dentro de um determinado período ou o limite global de requisições concorrentes foi atingido'
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    Unauthorized:
      description: Cabeçalho de autenticação ausente/inválido ou token inválido
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'